## org.apache.batik.dom.svg
Interface SVGPathContext

All Superinterfaces:
  SVGContext

All Known Implementing Classes:
  SVGPathElementBridge

    public interface SVGPathContext

extends SVGContext

Context class for the SVG path element to support extra methods.

Field Summary

Fields inherited from interface org.apache.batik.dom.svg.SVGContext
`PERCENTAGE_FONT_SIZE, PERCENTAGE_VIEWPORT_HEIGHT, PERCENTAGE_VIEWPORT_SIZE, PERCENTAGE_VIEWPORT_WIDTH`

Method Summary
`int` `getPathSegAtLength(float distance)` Returns the index of the path segment at the given distance along the path.
`java.awt.geom.Point2D` `getPointAtLength(float distance)` Returns the point at the given distance along the path.
`float` `getTotalLength()` Returns the total length of the path.

Methods inherited from interface org.apache.batik.dom.svg.SVGContext
`getBBox, getCTM, getFontSize, getGlobalTransform, getPixelToMM, getPixelUnitToMillimeter, getScreenTransform, getViewportHeight, getViewportWidth, setScreenTransform`

Method Detail

### getTotalLength

    float getTotalLength()

  Returns the total length of the path.

### getPointAtLength

    java.awt.geom.Point2D getPointAtLength(float distance)

  Returns the point at the given distance along the path.

### getPathSegAtLength

    int getPathSegAtLength(float distance)

  Returns the index of the path segment at the given distance along the path.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.